#
# spec file for package mozilla-kde4-integration
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mozilla-kde4-integration
BuildRequires:  libkde4-devel
Summary:        Mozilla KDE Integration
License:        MIT
Group:          System/GUI/KDE
Version:        0.6.4
Release:        2.1
Source:         kmozillahelper-%{version}.tar.bz2
Supplements:    packageand(MozillaFirefox:kdebase4-workspace)
# this is needed to match this package with the main package without the main package
# having a hard requirement on this package
%define helper_version 6
Requires:       mozilla-kde4-version = %{helper_version}
# make sure the package is not installed when there is still
# a user of the old api version
Conflicts:      mozilla-kde4-version < %{helper_version}
# package rename
Provides:       mozilla-xulrunner191-kde4 = %{version}-%{release}
Obsoletes:      mozilla-xulrunner191-kde4 < %{version}-%{release}
# functionality integrated here
Obsoletes:      MozillaFirefox-kde4-addon <= 0.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version > 1120
%kde4_runtime_requires
%endif

%description
Package providing integration of Mozilla applications with KDE.

%prep
%setup -n kmozillahelper -q

%build
  version=$(cat main.cpp | grep '#define HELPER_VERSION' | cut -d ' ' -f 3)
  if test "$version" != %{helper_version}; then
      echo fix the version in the .spec file
      exit 1
  fi
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %kde_post_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/mozilla
%{_prefix}/lib/mozilla/kmozillahelper
%{_datadir}/kde4/apps/kmozillahelper
%{_datadir}/kde4/apps/kmozillahelper/kmozillahelper.notifyrc

%changelog
* Tue Sep 11 2012 wr@rosenauer.org
- update to version 0.6.4
  * filedialog doesn't handle local url correctly (bnc#722994)
  * API addition (bnc#777415)
    make use of "--select" argument provided by dolphin and konqueror
* Tue Dec  6 2011 wr@rosenauer.org
- supplement MozillaFirefox instead of the various xulrunner
  versions since Firefox is the main user of that feature and a
  standalone package starting with 12.1
* Thu Jan 20 2011 llunak@novell.com
- 0.6.3: firefox .desktop file has changed its name (bnc#665497)
* Thu May 13 2010 llunak@novell.com
- 0.6.2: try to handle broken servers providing
  application/octet-stream mimetypes (bnc#580035)
* Tue May  4 2010 llunak@novell.com
- point to the novell bugzilla for bugreports (bnc#580491)
* Fri Apr 30 2010 llunak@novell.com
- 0.6.1: several small bugfixes
* Wed Jan  6 2010 llunak@novell.com
- avoid %%kde4_runtime_requires in 11.2 and older as there it was
  too strict
* Thu Dec  3 2009 wr@rosenauer.org
- rename package
  mozilla-xulrunner191-kde4 -> mozilla-kde4-integration
  to reflect that it also supports xulrunner192
- refine requires and conflicts to support multiple api users
* Mon Nov 23 2009 llunak@novell.com
- 0.6, use mimetype for opening url if known (bnc#556156)
* Wed Nov 11 2009 llunak@novell.com
- 0.5.2, fix file dialog resetting icon size (bnc#546490)
  and file dialog for multiple files not working (bnc#548267)
* Mon Oct 19 2009 llunak@novell.com
- version 0.5.1, compile also with older KDE4 versions
* Thu Sep 17 2009 coolo@novell.com
- fix Group
* Thu Sep 10 2009 llunak@novell.com
- version 0.5, support for knotify, making -kde4-addon obsolete
* Sat Sep  5 2009 llunak@novell.com
- version 0.4 (various fixes)
* Fri Sep  4 2009 llunak@suse.cz
- version 0.3, needed for the latest KDE support (bnc#170055)
* Fri Aug 28 2009 llunak@suse.cz
- rename to mozilla-xulrunner191-kde4
* Thu Aug 27 2009 llunak@novell.com
- Initial version 0.1 (bnc#170055)
